Class | Needle::Pipeline::Collection::BlockElement
In: | lib/needle/pipeline/collection.rb
Parent: | Element

Wraps a block as a new pipeline element. When the element is invoked, control is delegated to the block.

### Methods

call new

### Public Class methods

new( point, name, priority, options, block )

Create a new pipeline element around the given block.

### Public Instance methods

call( *args )

Invoke the block. The block must accept as many parameters as the pipeline expects, plus 1 (the first parameter is always this BlockElement instance).

[Validate]